.main-header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 4rem;
    background: #000;
    z-index: 20;
}

.logo {
    height: 2.5rem;
}

.max-content {
    max-width: 1440px;
    margin: 0 auto;
}

.main-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 100%;
    padding: 0 1rem;
}

.menu {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.menu-link {
    color: var(--white);
    transition: color .25s;
}

.menu-link:hover {
    color: var(--yellow-primary);
}

.slider {
    min-height: 50vh;
    background: #000;
    color: var(--white);
    padding: 2rem 1rem;
    text-align: center;
    overflow: hidden;
}

.slider-title {
    font-size: 2.25rem;
    color: var(--yellow-primary);
}

.slider-description {
    max-width: 60ch;
}

.slider-img {
    max-width: 100%;
}

.slider-content-button {
    margin: 2rem 0;
}

.slider-button {
    padding: 0.7rem 1rem;
    background-color: var(--green-primary);
    color: var(--white);
    font-weight: 600;
    border-radius: .25rem;
    transition: scale .25s;
    display: inline-block;
}
.slider-content{
    z-index: 10;
}

.bg-slider{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    opacity: 20%;
    display: none;
}

.slider-button:hover {
    scale: 1.05;
    background-color: var(--yellow-primary);
    color: var(--description);
}
.relative{
    position: relative;
}
.title {
    padding: 1.5rem 0;
    text-align: center;
}

.title .line {
    width: 100%;
    height: 3px;
    position: absolute;
    display: block;
    left: 0;
   bottom: -.8rem;
    background: linear-gradient(-90deg,var(--green-primary), var(--yellow-primary));
}
.description{
    max-width: 68ch;
    margin: 0 auto;
    text-align: center;
}

.grid {
    display: grid;
    max-width: 100%;
    gap: 1rem;
}

.grid-col-auto {
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
}

.products {
    overflow: hidden;
    border-radius: .25rem;
    border: 1px solid rgb(218, 218, 218);
    box-shadow: 0 5px 10px rgb(218, 218, 218);
}
.products-title{
    font-size: 1rem;
    padding: .5rem 0;
}
.products-img {
    max-height: 200px;
    overflow: hidden;
    position: relative;
}

.products-img img {
    width: 100%;
    height: 100%;
    transition: all .5s ease-in-out;
}
.products-img span {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    background-color: #00000070;
    color: #FFFFFF;
    font-weight: 800;
    scale: 0;
    transition: all .25s;
    cursor: zoom-in;
}

.products-content {
    padding: 1rem;
}

.products-content-price {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 1rem;
    font-size: 1.25rem;
}

.previous-price {
    text-decoration: line-through;
    color: #b3b3b3;
}

.products-btn {
    background-color: var(--green-primary);
    color: var(--white);
    border-radius: .25rem;
    padding: .7rem 1rem;
    font-weight: 600;
    transition: background .25s;
}

.products-btn:hover {
    background-color: var(--yellow-primary);
    color: var(--description);
}

.products:hover .products-img img {
    scale: 1.045;
}
.products:hover .products-img span {
    scale: 1;
}
.footer-content{
    text-align: center;
}


.modal{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    max-height: 100vh;
    background-color: #000000c2;
    z-index: 100;
    display: none;
    justify-content: center;
    align-items: center;
    /* padding: 1rem; */
}
.relative{
    position: relative;
}
.modal-content{
    max-width: 90%;
    max-height: 90vh;
    background-color: #fff;
    border-radius: .25rem;
    overflow: hidden;
}
.action,
.close{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 50px;
    height: 50px; 
    line-height: 50;
    border-radius: 50%;
    display: flex; 
    align-items: center;
    justify-content: center;
    background: #00b158;
    color: #ffffff;
    font-weight: 800;
}
.close{
    width: 35px;
    height: 35px; 
    top: 2rem; 
    right: 3rem;
    background-color: #ff3030;
}
.action.next{
    right: 0;
}